> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v10chaintransaction



## OpenAPI

````yaml /dln-details/swagger/create-tx.json get /v1.0/chain/transaction
openapi: 3.0.0
info:
  title: deBridge Liquidity Network (DLN) API
  description: >-
    A turnkey solution for a high-performance cross-chain trading<br><br><a
    href="https://docs.debridge.finance/dln-the-debridge-liquidity-network-protocol/interacting-with-the-api/quick-start-guide">Quick
    Start Guide</a>
  version: 1.0.0
  contact: {}
  termsOfService: https://app.debridge.finance/assets/files/DLN-TermsOfService.pdf
servers:
  - url: https://dln.debridge.finance
security: []
tags: []
externalDocs:
  description: DLN API documentation
  url: >-
    https://docs.debridge.finance/dln-the-debridge-liquidity-network-protocol/introduction
paths:
  /v1.0/chain/transaction:
    get:
      tags:
        - single chain swap
      operationId: SingleSwapControllerV10_getChainTransaction
      parameters:
        - name: chainId
          required: true
          in: query
          description: An ID of a chain, a chain where the swap must be performed
          example:
            '1':
              summary: Ethereum
              value: '1'
            '10':
              summary: Optimism
              value: '10'
            '56':
              summary: BNB Chain
              value: '56'
            '137':
              summary: Polygon
              value: '137'
            '8453':
              summary: Base
              value: '8453'
            '42161':
              summary: Arbitrum One
              value: '42161'
            '43114':
              summary: Avalanche
              value: '43114'
            '59144':
              summary: Linea
              value: '59144'
            '7565164':
              summary: Solana
              value: '7565164'
            '100000001':
              summary: Neon
              value: '100000001'
            '100000002':
              summary: Gnosis
              value: '100000002'
            '100000008':
              summary: Zilliqa
              value: '100000008'
            '100000009':
              summary: Flow
              value: '100000009'
            '100000013':
              summary: Story
              value: '100000013'
            '100000014':
              summary: Sonic
              value: '100000014'
            '100000017':
              summary: Abstract
              value: '100000017'
            '100000019':
              summary: Cronos
              value: '100000019'
            '100000020':
              summary: Berachain
              value: '100000020'
            '100000021':
              summary: Bob
              value: '100000021'
            '100000022':
              summary: HyperEVM
              value: '100000022'
            '100000023':
              summary: Mantle
              value: '100000023'
            '100000025':
              summary: Sophon
              value: '100000025'
            '100000026':
              summary: Tron
              value: '100000026'
            '100000027':
              summary: Sei
              value: '100000027'
            '100000028':
              summary: Plasma
              value: '100000028'
            '100000029':
              summary: Injective
              value: '100000029'
            '100000030':
              summary: Monad
              value: '100000030'
            '100000031':
              summary: Megaeth
              value: '100000031'
          schema:
            type: string
            enum:
              - '1'
              - '10'
              - '56'
              - '137'
              - '8453'
              - '42161'
              - '43114'
              - '59144'
              - '7565164'
              - '100000001'
              - '100000002'
              - '100000008'
              - '100000009'
              - '100000013'
              - '100000014'
              - '100000017'
              - '100000019'
              - '100000020'
              - '100000021'
              - '100000022'
              - '100000023'
              - '100000025'
              - '100000026'
              - '100000027'
              - '100000028'
              - '100000029'
              - '100000030'
              - '100000031'
        - name: tokenIn
          required: true
          in: query
          description: An address of an input token to swap
          example:
            usdt:
              summary: USDT token on Ethereum
              value: '0xdAC17F958D2ee523a2206206994597C13D831ec7'
            native:
              summary: Native coin (e.g., ETH on Ethereum, BNB on BNB Chain)
              value: '0x0000000000000000000000000000000000000000'
            native_solana:
              summary: Native token on SOLANA
              value: '11111111111111111111111111111111'
            usdc_solana:
              summary: USDC token on SOLANA
              value: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
          schema:
            type: string
        - name: tokenInAmount
          required: true
          in: query
          description: An amount of input tokens to swap
          example:
            usdt:
              summary: 50 USDT (decimals=6)
              value: 50000000
            busd:
              summary: 50 BUSD (decimals=18)
              value: 50000000000000000000
            eth:
              summary: 0.1 ETH (decimals=18)
              value: 100000000000000000
            sol:
              summary: 0.1 SOL (decimals=9)
              value: '100000000'
            max:
              summary: Use a maximum possible tokenInAmount calculated upon request
              value: max
            auto:
              summary: Use a recommended tokenInAmount calculated upon request
              value: auto
          schema:
            type: string
        - name: slippage
          required: false
          in: query
          description: >-
            A slippage constraint (in %) is a safeguard during swaps (on both
            source and destination chains, if applicable). It is also used to
            calculate the minimum possible outcome during estimation. This
            property can be set to "auto" so that the API will suggest the best
            possible slippage.
          schema:
            default: auto
            type: string
        - name: tokenOut
          required: true
          in: query
          description: An address of a target token.
          example:
            usdc:
              summary: USDC token on the Ethereum chain
              value: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48'
            native:
              summary: Native coin (e.g., ETH on Ethereum, BNB on BNB Chain)
              value: '0x0000000000000000000000000000000000000000'
            usdc_solana:
              summary: USDC token on SOLANA
              value: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
          schema:
            type: string
        - name: tokenOutAmount
          required: false
          in: query
          description: >-
            Amount of the target asset the market maker expects to receive upon
            order fulfillment. This property can be set to "auto" so that the
            API will suggest the best possible outcome of the order based on
            current market conditions and the protocol fees, keeping the order
            in a reasonable-to-fulfill state
          example:
            recommended:
              summary: >-
                Use a recommended tokenOutAmount calculated upon request
                (default)
              value: auto
            eth:
              summary: 0.1 ETH (decimals=18)
              value: '100000000000000000'
            usdt:
              summary: 50 USDT (decimals=6)
              value: '50000000'
            busd:
              summary: 50 BUSD (decimals=18)
              value: '50000000000000000000'
            usdc:
              summary: 50 USDC (decimals=6)
              value: '50000000'
          schema:
            type: string
        - name: tokenOutRecipient
          required: true
          in: query
          schema:
            type: string
        - name: affiliateFeePercent
          required: false
          in: query
          description: >2-

             The share of the input amount to be distributed to the `affiliateFeeRecipient` (if given) address as an affiliate fee.
             

             
            If you are building on top of deSwap, you might want to take a small
            fee relative to the amount of a token a user provides for a swap. To
            achieve this, set this parameter to a desired % (e.g. `0.1` stands
            for 0.1%; the max value is `10` which stands for 10% of
            `srcAmountInParam`) and specify your wallet address in the
            `affiliateFeeRecipient` parameter.
             

             
            For example, setting this parameter to `0.1` means that when the
            user gives 5000 USDT then you will receive 5 USDT immediately after
            transaction is being confirmed.
                   
          example:
            no_fee:
              summary: No affiliate fee
              value: 0
            fee_0.1:
              summary: Set 0.1% affiliate fee
              value: 0.1
            fee_1:
              summary: Set 1% affiliate fee
              value: 1
          schema:
            type: number
        - name: affiliateFeeRecipient
          required: false
          in: query
          description: >-
            An address (on an origin chain) that will receive affiliate fees
            according to the `affiliateFeePercent` parameter. For solana
            affiliate fee you have to create & provide Jupiter's referral key
            (https://referral.jup.ag/dashboard).
          schema:
            type: string
        - name: senderAddress
          required: false
          in: query
          description: >-
            Address (on the source chain) who submits input tokens for a
            cross-chain swap
          schema:
            type: string
        - name: srcChainPriorityLevel
          required: false
          in: query
          description: Configures the priority level for transaction fee estimation.
          schema:
            default: normal
            type: string
            enum:
              - normal
              - aggressive
        - name: referralCode
          required: false
          in: query
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChainTransactionResponseV10'
        '400':
          description: >
            The request is malformed, has missing parameters, or has incorrect
            or contradicting parameter values. Possible error ids: 
              
                    - INVALID_QUERY_PARAMETERS
              
              
                    - AFFILIATE_FEE_PERCENT_NOT_SET
              
              
                    - AFFILIATE_FEE_RECIPIENT_NOT_SET
              
              
                    - UNSUPPORTED_TOKEN_IN
              
              
                    - UNSUPPORTED_TOKEN_OUT
              
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestResponse'
        '500':
          description: >
            The server has encountered a situation it does not know how to
            handle. Possible error ids: 
              
                    - INTERNAL_SERVER_ERROR
              
              
                    - INTERNAL_SDK_ERROR
              
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
components:
  schemas:
    ChainTransactionResponseV10:
      type: object
      properties:
        tokenIn:
          $ref: '#/components/schemas/TokenWithUsdValue'
        tokenOut:
          $ref: '#/components/schemas/TokenWithMinAmount'
        slippage:
          type: number
        recommendedSlippage:
          type: number
        protocolFee:
          type: string
        protocolFeeApproximateUsdValue:
          type: string
        estimatedTransactionFee:
          description: Estimated transaction fee (gasCost) for the transaction
          allOf:
            - $ref: '#/components/schemas/FeeInfo'
        costsDetails:
          description: Costs details
          type: array
          items:
            $ref: '#/components/schemas/CostsDetailsProperty'
        comparedAggregators:
          description: Comparison data for all swap aggregators that were compared
          type: array
          items:
            $ref: '#/components/schemas/SwapAdapterComparisonDto'
        tx:
          description: >-
            Transaction data. For max-amount requests, includes gasLimit,
            gasPrice, and estimatedTransactionFee.
          allOf:
            - $ref: '#/components/schemas/Tx'
      required:
        - tokenIn
        - tokenOut
        - slippage
        - recommendedSlippage
        - comparedAggregators
        - tx
    BadRequestResponse:
      type: object
      properties:
        errorCode:
          type: integer
        errorId:
          type: string
          enum:
            - INVALID_QUERY_PARAMETERS
            - SOURCE_AND_DESTINATION_CHAINS_ARE_EQUAL
            - INCLUDED_GAS_FEE_NOT_COVERED_BY_INPUT_AMOUNT
            - INCLUDED_GAS_FEE_CANNOT_BE_ESTIMATED_FOR_TRANSACTION_BUNDLE
        errorMessage:
          type: string
        errorPayload:
          type: object
      required:
        - errorCode
        - errorId
        - errorMessage
        - errorPayload
    InternalServerErrorResponse:
      type: object
      properties:
        errorCode:
          type: integer
        errorId:
          type: string
          enum:
            - INTERNAL_SERVER_ERROR
            - INTERNAL_SDK_ERROR
        errorMessage:
          type: string
        errorPayload:
          type: object
      required:
        - errorCode
        - errorId
        - errorMessage
        - errorPayload
    TokenWithUsdValue:
      type: object
      properties:
        address:
          type: string
        name:
          type: string
        symbol:
          type: string
        decimals:
          type: integer
        amount:
          type: string
        approximateUsdValue:
          type: number
      required:
        - address
        - name
        - symbol
        - decimals
        - amount
    TokenWithMinAmount:
      type: object
      properties:
        address:
          type: string
        name:
          type: string
        symbol:
          type: string
        decimals:
          type: integer
        amount:
          type: string
        minAmount:
          type: string
        approximateUsdValue:
          type: number
      required:
        - address
        - name
        - symbol
        - decimals
        - amount
        - minAmount
    FeeInfo:
      type: object
      properties:
        total:
          type: string
        details:
          $ref: '#/components/schemas/FeeDetails'
        approximateUsdValue:
          type: number
          description: USD approximate value of the transaction fee
      required:
        - total
        - details
    CostsDetailsProperty:
      type: object
      properties:
        chain:
          type: string
        tokenIn:
          type: string
        tokenOut:
          type: string
        amountIn:
          type: string
        amountOut:
          type: string
        type:
          type: string
        payload:
          $ref: '#/components/schemas/Payload'
      required:
        - chain
        - tokenIn
        - tokenOut
        - amountIn
        - amountOut
        - type
    SwapAdapterComparisonDto:
      type: object
      properties:
        name:
          type: string
          description: Name of the swap aggregator
        amount:
          type: string
          description: Amount out from this aggregator
        approximateUsdValue:
          type: number
          description: Approximate USD value of the amount out from this aggregator
        priceDrop:
          type: number
          description: Price drop compared to the best aggregator in basis points (bps)
        imageUrl:
          type: string
          description: Image URL of the swap aggregator
      required:
        - name
        - amount
        - approximateUsdValue
        - priceDrop
        - imageUrl
    Tx:
      type: object
      properties:
        to:
          type: string
        data:
          type: string
        value:
          type: string
      required:
        - to
        - data
        - value
    FeeDetails:
      type: object
      properties:
        giveOrderState:
          type: string
        giveOrderWallet:
          type: string
        nonceMaster:
          type: string
        txFee:
          type: string
        priorityFee:
          type: string
        gasLimit:
          type: string
        gasPrice:
          type: string
        baseFee:
          type: string
        maxFeePerGas:
          type: string
        maxPriorityFeePerGas:
          type: string
    Payload:
      type: object
      properties:
        feeAmount:
          type: string
        feeBps:
          type: string
        amountOutBeforeCorrection:
          type: string
        estimatedVolatilityBps:
          type: string
        actualFeeAmount:
          type: string
        actualFeeBps:
          type: string
        subsidyAmount:
          type: string
        feeApproximateUsdValue:
          type: string
        additionalMarginAmount:
          type: string
        additionalMarginBps:
          type: string

````